package com.jkcredit.data.datastorage.model.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/7/6 15:54
 * @version: V1.0
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CommonResponseVo implements Serializable {
    private static final long serialVersionUID = 7502591346072011846L;

    public static Integer SUCCESS = 1;
    public static Integer FAILED = 2;
    public static Integer NO_RESULT = 3;

    private int code;
    private String msg;
    private String requestId;

    public static CommonResponseVo success(String msg, String requestId) {
        return new CommonResponseVo(SUCCESS, msg, requestId);
    }

    public static CommonResponseVo failure(String msg, String requestId) {
        return new CommonResponseVo(FAILED, msg, requestId);
    }

    public static CommonResponseVo noResult(String msg, String requestId) {
        return new CommonResponseVo(NO_RESULT, msg, requestId);
    }
}
